require 'httparty'
require 'json'

require_relative 'client/exercises'

Dir[File.dirname(__FILE__) + '/client/*.rb'].each {|file| require file }

class Atlas
  include HTTParty
  include Exercises

  def initialize(api_key, api_base_path="localhost:3000/api/v1")
    @api_base_path = api_base_path
    @api_key =  api_key
  end
end
